Bug 1189303 - [abrt] midori: WebCore::SQLiteStatement::prepare(): midori killed by SIGSEGV
Summary: [abrt] midori: WebCore::SQLiteStatement::prepare(): midori killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk
Version: 21
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2675585f6ab1e3b65d2040ffa07...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-04 22:35 UTC by Mike Simms
Modified: 2015-10-05 22:49 UTC (History)
6 users (show)

Fixed In Version: webkitgtk-2.4.9-3.fc23 webkitgtk-2.4.9-2.fc22 webkitgtk-2.4.9-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-05 21:53:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.85 KB, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: cgroup (177 bytes, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: core_backtrace (6.39 KB, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: dso_list (13.83 KB, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: environ (909 bytes, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-04 22:35 UTC, Mike Simms
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-04 22:36 UTC, Mike Simms
no flags Details
File: maps (49.09 KB, text/plain)
2015-02-04 22:36 UTC, Mike Simms
no flags Details
File: open_fds (514 bytes, text/plain)
2015-02-04 22:36 UTC, Mike Simms
no flags Details
File: proc_pid_status (794 bytes, text/plain)
2015-02-04 22:36 UTC, Mike Simms
no flags Details
File: var_log_messages (317 bytes, text/plain)
2015-02-04 22:36 UTC, Mike Simms
no flags Details
Crash report screenshot (63.74 KB, image/png)
2015-02-05 18:26 UTC, Mike Simms
no flags Details
2nd screenshot (74.05 KB, image/png)
2015-02-05 20:02 UTC, Mike Simms
no flags Details

Description Mike Simms 2015-02-04 22:35:49 UTC
Description of problem:
Set Midori to clear private data on exit. Next run it crashed on exit.

Version-Release number of selected component:
midori-0.5.9-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        midori
crash_function: WebCore::SQLiteStatement::prepare
executable:     /usr/bin/midori
kernel:         3.18.5-201.fc21.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::SQLiteStatement::prepare at Source/WebCore/platform/sql/SQLiteStatement.cpp:81
 #1 WebCore::SQLiteStatement::executeCommand at Source/WebCore/platform/sql/SQLiteStatement.cpp:137
 #2 WebCore::SQLiteDatabase::executeCommand at Source/WebCore/platform/sql/SQLiteDatabase.cpp:272
 #3 WebCore::SQLiteTransaction::begin at Source/WebCore/platform/sql/SQLiteTransaction.cpp:67
 #4 WebCore::IconDatabase::writeToDatabase at Source/WebCore/loader/icon/IconDatabase.cpp:1615
 #5 WebCore::IconDatabase::syncThreadMainLoop at Source/WebCore/loader/icon/IconDatabase.cpp:1384
 #6 WebCore::IconDatabase::iconDatabaseSyncThread at Source/WebCore/loader/icon/IconDatabase.cpp:1041
 #7 WebCore::IconDatabase::iconDatabaseSyncThreadStart at Source/WebCore/loader/icon/IconDatabase.cpp:962
 #8 WTF::threadEntryPoint at Source/WTF/wtf/Threading.cpp:69
 #9 WTF::wtfThreadEntryPoint at Source/WTF/wtf/ThreadingPthreads.cpp:170

Comment 1 Mike Simms 2015-02-04 22:35:53 UTC
Created attachment 988317 [details]
File: backtrace

Comment 2 Mike Simms 2015-02-04 22:35:54 UTC
Created attachment 988318 [details]
File: cgroup

Comment 3 Mike Simms 2015-02-04 22:35:55 UTC
Created attachment 988319 [details]
File: core_backtrace

Comment 4 Mike Simms 2015-02-04 22:35:57 UTC
Created attachment 988320 [details]
File: dso_list

Comment 5 Mike Simms 2015-02-04 22:35:58 UTC
Created attachment 988321 [details]
File: environ

Comment 6 Mike Simms 2015-02-04 22:35:59 UTC
Created attachment 988322 [details]
File: exploitable

Comment 7 Mike Simms 2015-02-04 22:36:00 UTC
Created attachment 988323 [details]
File: limits

Comment 8 Mike Simms 2015-02-04 22:36:03 UTC
Created attachment 988324 [details]
File: maps

Comment 9 Mike Simms 2015-02-04 22:36:04 UTC
Created attachment 988325 [details]
File: open_fds

Comment 10 Mike Simms 2015-02-04 22:36:05 UTC
Created attachment 988326 [details]
File: proc_pid_status

Comment 11 Mike Simms 2015-02-04 22:36:06 UTC
Created attachment 988327 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2015-02-05 14:28:09 UTC
Can you duplicate the crash if you do that again?

Comment 13 Mike Simms 2015-02-05 17:57:37 UTC
Seemingly not. I've been trying to today while waiting for Google to fix Chrome Stable. It may have been a one off. The report was generated and submitted via the Problem Reporting program after the crash triggered it.

However this build of Midori 0.5.9 seems not to be able to clear all private data on exit. I have all the options ticked but when I open Midori again it opens the last page visited. This should not be happening.

I don't normally use Midori so not sure if that not clearing private data glitch on exit was an existing bug.

Comment 14 Mike Simms 2015-02-05 18:26:10 UTC
Created attachment 988589 [details]
Crash report screenshot

It crashed again just now. Attached is a screenshot of the report to serve as proof. It won't upload the reports again for the same bug.

Comment 15 Mike Simms 2015-02-05 20:02:17 UTC
Created attachment 988602 [details]
2nd screenshot

Sites visited which may/may not be relevant to the crashing on attempting to clear data on/before exit:

http://www.locatetv.com/uk/listings

https://plus.google.com

Comment 16 Kevin Fenzi 2015-02-08 19:20:17 UTC
ok. I will try and see if I can make something of the crash data. 

Thanks for reporting this!

Comment 17 Fedora Update System 2015-09-29 08:05:53 UTC
webkitgtk3-2.4.9-2.fc21 webkitgtk-2.4.9-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6999afd53e

Comment 18 Fedora Update System 2015-09-29 08:06:01 UTC
webkitgtk3-2.4.9-3.fc23 webkitgtk-2.4.9-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e968aee2c

Comment 19 Fedora Update System 2015-09-29 08:06:08 UTC
webkitgtk3-2.4.9-2.fc22 webkitgtk-2.4.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-360b358af4

Comment 20 Fedora Update System 2015-10-01 23:54:34 UTC
webkitgtk-2.4.9-3.fc23, webkitgtk3-2.4.9-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update webkitgtk webkitgtk3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e968aee2c

Comment 21 Fedora Update System 2015-10-02 01:50:18 UTC
webkitgtk-2.4.9-3.fc23, webkitgtk3-2.4.9-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update webkitgtk webkitgtk3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e968aee2c

Comment 22 Fedora Update System 2015-10-02 18:52:36 UTC
webkitgtk-2.4.9-2.fc21, webkitgtk3-2.4.9-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update webkitgtk webkitgtk3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6999afd53e

Comment 23 Fedora Update System 2015-10-03 17:33:06 UTC
webkitgtk-2.4.9-3.fc23, webkitgtk3-2.4.9-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-10-04 01:38:08 UTC
webkitgtk-2.4.9-2.fc22, webkitgtk3-2.4.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update webkitgtk webkitgtk3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-360b358af4

Comment 25 Fedora Update System 2015-10-05 21:53:37 UTC
webkitgtk-2.4.9-2.fc22, webkitgtk3-2.4.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-10-05 22:49:46 UTC
webkitgtk-2.4.9-2.fc21, webkitgtk3-2.4.9-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.